/**
 *	CriticalValueBean.class is an instantiated data object that
 *	contains all of the data for statistical analysis.
 *  Will make available all information for processing in 
 *  the program.
 *	
 *	@author	Joshua Sailsbery
 *	@version	1.0
 *	@since	1.0
 */
package Data;

import java.util.Hashtable;

public class CriticalValueBean
{
	//Critical Values Variables
	private double[] zCriticalValues;		//double array of Z-score values
	private Hashtable gfCriticalValues;		//hashtable of GF-score values
	
	
	/**
	 *  Get method - returns double[] zCriticalValues 
	 */
	public double[] getZCriticalValues()
	{
		return zCriticalValues;
	}
	
	/**
	 *  Set method - sets zCriticalValues to new double[]
	 *	@param double[] ZCriticalValues of new zCriticalValues
	 */
	public void setZCriticalValues(double[] ZCriticalValues)
	{
		zCriticalValues = ZCriticalValues;
	}
	
	/**
	 *  Get method - returns Hashtable gfCriticalValues 
	 */
	public Hashtable getGFCriticalValues()
	{
		return gfCriticalValues;
	}
	
	/**
	 *  Set method - sets gfCriticalValues to new Hashtable
	 *	@param Hashtable GFCriticalValues of new gfCriticalValues
	 */
	public void setGFCriticalValues(Hashtable GFCriticalValues)
	{
		gfCriticalValues = GFCriticalValues;
	}
	
}//CriticalValueBean