/**
 *	ActionMenuItem.class is an instantiated object that creates
 *	a menu item with an action name
 *	
 *	@author	Joshua Sailsbery
 *	@version	1.0
 *	@since	1.0
 */
package GraphicInterface.Objects;

import javax.swing.JMenuItem;

public class ActionMenuItem extends JMenuItem
{
	//Class Vars
	private String actionName;
	
	/**
	 *	ActionMenuItem Constructor - Instantiates Class Objects.	
	 *
	 *	@param String title - text set on menu item
	 */
	public ActionMenuItem(String title)
	{
		super(title);
		
	}//Constructor
	
	/**
	 *  Get method - returns String actionName 
	 */
	public String getActionName()
	{
		return actionName;
	}
	
	/**
	 *  Set method - sets actionName to new String
	 *	@param String ActionName of new actionName
	 */
	public void setActionName(String ActionName)
	{
		actionName = ActionName;
	}

}//ActionMenuItem